php version 5.6.4-4. wird nicht erkannt

Forum zu Fragen und Diskussionen zum m1.Newsletter
->http://newsletter.maennchen1.de

Moderatoren: ThoGoe, maennchen1.de

Antworten
marc
Beiträge: 9
Registriert: 15.02.2012, 16:32
Lizenz: keine

php version 5.6.4-4. wird nicht erkannt

Beitrag von marc » 15.02.2015, 11:42

Hallo,
der Server auf, dem meine Seite läuft, wurde auf php version 5.6.4-4. aktualisiert.
Nun wird mir lediglich etwas Quellqode angezeigt und es geht nichts mehr....

Wer kann helfen???

Benutzeravatar
maennchen1.de
Administrator
Beiträge: 16015
Registriert: 14.08.2003, 16:55
Lizenz: wpShopGermany Enterprise
Wohnort: Thüringen, Ellersleben
Kontaktdaten:

Re: php version 5.6.4-4. wird nicht erkannt

Beitrag von maennchen1.de » 16.02.2015, 10:59

Hallo!
Was wird konkret angezeigt?
Um ehrlich zu sein, ist m1.Newsletter auch schon ziemlich alt und wird seit Jahren nicht mehr weiter entwickelt. PHP5.6 ist extrem neu und beinhaltet wenig Abwärtskompatibilität.
Kein Support per PN! Alle Fragen beantworten wir hier im Forum. Per PN bitte nur Passwörter, Namen und URLs - sofern notwendig.
Bitte vor dem posten lesen:
FAQ / häufig gestellte Fragen
wpShopGermany Fehler? Hilfeanleitung!
PHTML-Dateien richtig verwenden (für eigene Anpassungen)

marc
Beiträge: 9
Registriert: 15.02.2012, 16:32
Lizenz: keine

Re: php version 5.6.4-4. wird nicht erkannt

Beitrag von marc » 17.02.2015, 18:45

gäbe es eine Alternative zu m1.Newsletter (mit Datenbankübernahme)?


wenn ich meine Seite aufrufen kommt das hier:

Abonnenten include('mod.abo.php'); //------------------------> Abonnenten //------------------------> Import include('mod.import.php'); //------------------------> Import } elseif ($_REQUEST["cmd"] == "gruppe") { echo "
Gruppenverwaltung

\n"; include('mod.group.php'); } elseif ($_REQUEST["cmd"] == "nl") { echo "
Newsletter versenden

\n"; include('mod.send.php'); } elseif ($_REQUEST["cmd"] == "archiv") { echo "
Newsletter Archiv

\n"; include('mod.archiv.php'); } elseif ($_GET["cmd"] == "del") { echo "
Abonnenten löschen

\n"; include('mod.abodel.php'); } elseif ($_REQUEST["cmd"] == "edit") { echo "
Abonnenten editieren

\n"; include('mod.aboedit.php'); } elseif ($_GET["cmd"] == "update") { echo "
Auto-Update

\n"; include('mod.update.php'); } elseif ($_REQUEST["cmd"] == "system") { echo "
System-Einstellungen

\n"; include('mod.system.php'); } elseif ($_REQUEST["cmd"] == "templates") { echo "
Text-Templates

\n"; include('mod.templates.php'); } elseif ($_REQUEST["cmd"] == "fields") { echo "
Adress-Felder

Benutzeravatar
maennchen1.de
Administrator
Beiträge: 16015
Registriert: 14.08.2003, 16:55
Lizenz: wpShopGermany Enterprise
Wohnort: Thüringen, Ellersleben
Kontaktdaten:

Re: php version 5.6.4-4. wird nicht erkannt

Beitrag von maennchen1.de » 17.02.2015, 18:57

Das ist aber kein Fehler. Hier wird lediglich das PHP nicht gepasst. Ich nehme an, weil short_open_tags deaktiviert ist.

Unser wpNewsletterGermany wäre eine Alternative.
Kein Support per PN! Alle Fragen beantworten wir hier im Forum. Per PN bitte nur Passwörter, Namen und URLs - sofern notwendig.
Bitte vor dem posten lesen:
FAQ / häufig gestellte Fragen
wpShopGermany Fehler? Hilfeanleitung!
PHTML-Dateien richtig verwenden (für eigene Anpassungen)

marc
Beiträge: 9
Registriert: 15.02.2012, 16:32
Lizenz: keine

Re: php version 5.6.4-4. wird nicht erkannt

Beitrag von marc » 17.02.2015, 19:10

Hallo,
vielen Dank für die Antwort.

Wo finde ich short_open_tags und wie sind die zu aktivieren???

marc
Beiträge: 9
Registriert: 15.02.2012, 16:32
Lizenz: keine

Re: php version 5.6.4-4. wird nicht erkannt

Beitrag von marc » 18.02.2015, 11:26

Vielen Dank! es läuft wieder. mein Server-Anbieter hat die short_open_tags aktiviert.....

Benutzeravatar
maennchen1.de
Administrator
Beiträge: 16015
Registriert: 14.08.2003, 16:55
Lizenz: wpShopGermany Enterprise
Wohnort: Thüringen, Ellersleben
Kontaktdaten:

Re: php version 5.6.4-4. wird nicht erkannt

Beitrag von maennchen1.de » 18.02.2015, 14:41

Prima. Danke für dein Feedback!
Kein Support per PN! Alle Fragen beantworten wir hier im Forum. Per PN bitte nur Passwörter, Namen und URLs - sofern notwendig.
Bitte vor dem posten lesen:
FAQ / häufig gestellte Fragen
wpShopGermany Fehler? Hilfeanleitung!
PHTML-Dateien richtig verwenden (für eigene Anpassungen)

marc
Beiträge: 9
Registriert: 15.02.2012, 16:32
Lizenz: keine

Re: php version 5.6.4-4. wird nicht erkannt

Beitrag von marc » 18.02.2015, 15:12

eine Frage habe ich doch noch.

Die Umlaute werden nicht mehr erkannt. Wo ist da zu drehen?
Die Datenbank hat den Zeichensatz utf8_general_ci

Benutzeravatar
maennchen1.de
Administrator
Beiträge: 16015
Registriert: 14.08.2003, 16:55
Lizenz: wpShopGermany Enterprise
Wohnort: Thüringen, Ellersleben
Kontaktdaten:

Re: php version 5.6.4-4. wird nicht erkannt

Beitrag von maennchen1.de » 18.02.2015, 15:13

Was meinst du damit? Wie äußert sich das Problem?
marc hat geschrieben:Die Umlaute werden nicht mehr erkannt.
Kein Support per PN! Alle Fragen beantworten wir hier im Forum. Per PN bitte nur Passwörter, Namen und URLs - sofern notwendig.
Bitte vor dem posten lesen:
FAQ / häufig gestellte Fragen
wpShopGermany Fehler? Hilfeanleitung!
PHTML-Dateien richtig verwenden (für eigene Anpassungen)

marc
Beiträge: 9
Registriert: 15.02.2012, 16:32
Lizenz: keine

Re: php version 5.6.4-4. wird nicht erkannt

Beitrag von marc » 18.02.2015, 19:27

ich meine damit, dass die Umlaute nicht richtig dargestellt werden.
Die Emails lesen sich dann so:

Liebe Eltern, liebe Sch�ler,

f�r das n�chste Sch�lerkonzert am Freitag,........

Benutzeravatar
maennchen1.de
Administrator
Beiträge: 16015
Registriert: 14.08.2003, 16:55
Lizenz: wpShopGermany Enterprise
Wohnort: Thüringen, Ellersleben
Kontaktdaten:

Re: php version 5.6.4-4. wird nicht erkannt

Beitrag von maennchen1.de » 19.02.2015, 08:55

Das liegt wahrscheinlich daran, dass auch der Apache neu konfiguriert wurde. In neueren Versionen wird standardmäßig folgender Parameter verwendet:

Code: Alles auswählen

AddDefaultCharset UTF-8
Der Newsletter brauch aber:

Code: Alles auswählen

AddDefaultCharset ISO-8859-1
Dein Provider dürfte auch dafür erster Ansprechpartner sein ;)
Kein Support per PN! Alle Fragen beantworten wir hier im Forum. Per PN bitte nur Passwörter, Namen und URLs - sofern notwendig.
Bitte vor dem posten lesen:
FAQ / häufig gestellte Fragen
wpShopGermany Fehler? Hilfeanleitung!
PHTML-Dateien richtig verwenden (für eigene Anpassungen)

Antworten